### Constructor

# Gimp GroupLayer new

since: 2.8

#### Declaration [src]

    GimpGroupLayer*
    gimp_group_layer_new (
      GimpImage* image,
      const gchar* name
    )

#### Description [src]

Create a new group layer.

This procedure creates a new group layer with a given `name`. If `name` is `NULL`, GIMP will choose a name using its default layer name algorithm.

The new group layer still needs to be added to the image, as this is not automatic. Add the new layer with the `gimp_image_insert_layer()` method. Other attributes such as layer mask, modes and offsets should be set with explicit procedure calls.

Other procedures useful with group layers: `gimp_image_reorder_item()`, `gimp_item_get_parent()`, `gimp_item_get_children()`, `gimp_item_is_group()`.

Available since: 2.8

#### Parameters

`image`

  Type: `GimpImage`

  The image to which to add the group layer.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  The group layer name.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpGroupLayer`

The newly created group layer.

The data is owned by the called function.